/* =========================================================
   REFLECTION SPACE
========================================================== */

.reflection-space {
    width: 100%;
}


/* =========================================================
   SEARCH
========================================================== */

.reflection-space-search {
    margin-bottom: 4rem;
}

.reflection-space-search input[type="search"] {
    width: 100%;

    padding: 1rem 0;

    background: transparent;
    color: var(--fox-text);

    border: none;
    border-bottom: 2px solid rgba(255,255,255,0.5);
    border-top: 2px solid rgba(255,255,255,0.5);


    font-size: 1.1rem;
    font-family: var(--fox-font);
}

.reflection-space-search input[type="search"]:focus {
    outline: none;
    border-color: var(--fox-accent);
}

.wp-block-search__button {
    background: transparent;
    border: none;
    color: var(--fox-text);

    transition: color 0.2s ease;
}

.wp-block-search__button:hover {
    color: var(--fox-accent);
}

.wp-block-search__button svg {
    height: 1.25em;
    min-height: 30px;
    min-width: 30px;
}

/* =========================================================
   SEARCH EMPTY
========================================================== */

.reflection-space-image.reflection-space-image--empty {
    
}

.reflection-space-card.reflection-space-card--empty {
    grid-template-columns: 180px 1fr;
}

    
/* =========================================================
   LOOP
========================================================== */

.reflection-space-loop {
    display: flex;
    flex-direction: column;
    gap: 5rem;
}

.reflection-space-loop ul::before,
.reflection-space-loop li::before {
    display: none;
    content: none;
}

.reflection-space-loop ul,
.reflection-space-loop li {
    padding-left: 0 !important;
    margin-left: 0;
}


/* =========================================================
   CARD
========================================================== */

.reflection-space-card {
    position: relative;
    display: grid;
    grid-template-columns: 380px 1fr;
    gap: 2rem;
    align-items: start;
}

.reflection-space-image {
    position: relative;
}

.reflection-space-image img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 0 var(--fox-radius) var(--fox-radius) var(--fox-radius);
}

.reflection-space-card {
    border-radius: var(--fox-radius);
    transition: background-color 180ms ease;
}

.reflection-space-card:hover {
    background-color: var(--fox-surface-soft);
}

/* =========================================================
   CORNER
========================================================== */

.reflection-space-card::before,
.reflection-space-card::after {
    content: "";
    position: absolute;
    width: 42px;
    height: 42px;
    pointer-events: none;
    border-radius: var(--fox-radius);
    z-index: 999999;
}

.reflection-space-card::before {
    top: -4px;
    left: -4px;
    border-right: none;
    border-bottom: none;
    border-top: 4px solid var(--fox-accent);
    border-left: 4px solid var(--fox-accent);
}

.reflection-space-card::after {
    right: -4px;
    bottom: -4px;
    border-top: none;
    border-left: none;
    border-right: 4px solid var(--fox-accent);
    border-bottom: 4px solid var(--fox-accent);
}


/* =========================================================
   CONTENT
========================================================== */

.reflection-space-content {
    display: flex;
    flex-direction: column;
}

.reflection-space-title {
    margin: 0 0 1rem;

    color: var(--fox-text);

    font-size: clamp(1.5rem, 1.5vw, 3rem);
    line-height: 1.05;
    font-weight: 800;
}

.reflection-space-title a {
    color: inherit;
    text-decoration: none;
}

.reflection-space-title a:hover, .reflection-space-card:hover .reflection-space-title a {
    color: var(--fox-accent);
    background: none !important;
    border: none;
}

.reflection-space-meta {
    margin-bottom: 1.5rem;
    color: rgba(255,255,255,0.75);
    font-size: 0.95rem;
    line-height: 1em;
    margin-top: 8px;
}

.reflection-space-meta-author-name {
    /*border-right: solid 1px #fff;*/
    color: var(--fox-accent);
    /*padding-right: 10px;*/
}

.reflection-space-meta a {
    color: var(--fox-accent);
    text-decoration: none;
}

.reflection-space-excerpt {
    color: var(--fox-text);
    font-size: 0.85em;
    line-height: 1.7;
}

/* =========================================================
   READ MORE
========================================================== */

.reflection-space-excerpt a,  .reflection-space-excerpt a:hover, a.reflection-space-read-more,  a.reflection-space-read-more:hover{
    font-weight: 800;
    background: none;
    border: none;
    color: var(--fox-accent);
}

.reflection-space-excerpt a, a.reflection-space-read-more {
    display: inline-block;
    letter-spacing: 0.02em;

    transition:
        transform 0.2s ease,
        letter-spacing 0.2s ease;
}

.reflection-space-excerpt a:hover, a.reflection-space-read-more:hover {
    transform: translateX(2px);
    letter-spacing: 0.04em;
}


a.reflection-space-read-more-full {
    position: absolute;
    inset: 0;
    z-index: 2;
    overflow: hidden;
    text-indent: -9999px;
    color: transparent;
    background: transparent;
    border: 0;
    width: 100%;
}

a.reflection-space-read-more-full:hover {
    background: transparent;
    border: none;
}

/* =========================================================
   MOBILE
========================================================== */

@media (max-width: 980px) {

    .reflection-space-card {
        grid-template-columns: 1fr;
    }

    .reflection-space-title {
        font-size: clamp(2rem, 8vw, 3rem);
    }
}
